Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Request for SuperTux 0.6.0

Post Reply
User avatar
radissthor
Forum Regular
Forum Regular
Posts: 347
Joined: Mon Sep 13, 2010 11:18 am

Request for SuperTux 0.6.0

#1

Post by radissthor » Sun Dec 30, 2018 7:02 pm

Hi all,

Supertux just release their latest version. In the main repositories for MX17 we have 0.5.1.-1. I looked in the debian backports of the MXPI but I think it's not there. I'd appreciate, whenever you have time, if you could put it in the repos.

Thanks in advance!
Last edited by radissthor on Sun Dec 30, 2018 8:49 pm, edited 1 time in total.
Image

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19519
Joined: Fri Dec 15, 2006 8:07 pm

Re: Request for SuperTux 0.6.0

#2

Post by Stevo » Sun Dec 30, 2018 7:17 pm

I'll take a look at it, though it's not in Debian repos yet.

In the worst case, they offer a 131 MB 64-bit AppImage, though.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19519
Joined: Fri Dec 15, 2006 8:07 pm

Re: Request for SuperTux 0.6.0

#3

Post by Stevo » Sun Dec 30, 2018 9:13 pm

Got it packaged and running by adding some extra build-depends and tweaking the supertux.install file. Now seeing if it will build on MX 15.

User avatar
radissthor
Forum Regular
Forum Regular
Posts: 347
Joined: Mon Sep 13, 2010 11:18 am

Re: Request for SuperTux 0.6.0

#4

Post by radissthor » Sun Dec 30, 2018 9:29 pm

Thanks Stevo! I am using MX17, but I guess if it works on 15 it works on 17 right?
Image

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19519
Joined: Fri Dec 15, 2006 8:07 pm

Re: Request for SuperTux 0.6.0

#5

Post by Stevo » Sun Dec 30, 2018 9:55 pm

radissthor wrote:
Sun Dec 30, 2018 9:29 pm
Thanks Stevo! I am using MX17, but I guess if it works on 15 it works on 17 right?
I do MX 17 packages first, since they're more likely to succeed, having newer package versions. It's frosting on the cake if I can get MX 15 packages to build.

The MX 15 packages fail to build with some OpenGL-related compiler error, even using newer packages from the MX 15 test repo, so I'm giving up on those. The AppImage is supposed to run on MX 15-64-bit anyway...it does run fine on MX 17.

I'm uploading the packages right now. (224 MB) If you want to do a manual install with gdebi, one deb at a time, you need to install the included libraqm0 deb for your platform (not the dbgsym version), then the supertux-data deb, then the supertux deb for your architecture.

https://drive.google.com/open?id=19zmFm ... hjEtt8qL_z

User avatar
oops
Forum Regular
Forum Regular
Posts: 738
Joined: Tue Apr 10, 2018 5:07 pm

Re: Request for SuperTuxKart-0.10-Beta

#6

Post by oops » Fri Jan 11, 2019 7:36 pm

Hello,
Request now for SuperTuxKart-0.10-Beta
https://www.phoronix.com/scan.php?page= ... -0.10-Beta
SuperTuxKart 0.10 Beta Released With Initial Networking Support
$ inxi -Fxxxz : System: Host:XEON ... Distro: MX-18_x64 Continuum

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19519
Joined: Fri Dec 15, 2006 8:07 pm

Re: Request for SuperTuxKart-0.10-Beta

#7

Post by Stevo » Fri Jan 11, 2019 7:46 pm

oops wrote:
Fri Jan 11, 2019 7:36 pm
Hello,
Request now for SuperTuxKart-0.10-Beta
https://www.phoronix.com/scan.php?page= ... -0.10-Beta
SuperTuxKart 0.10 Beta Released With Initial Networking Support
Start a separate thread for the totally different game (they just both have Tux) please, not add it to an existing one.

User avatar
oops
Forum Regular
Forum Regular
Posts: 738
Joined: Tue Apr 10, 2018 5:07 pm

Re: Request for SuperTux 0.6.0

#8

Post by oops » Fri Jan 11, 2019 7:49 pm

Ok Stevo, you can delete my post if you want.
$ inxi -Fxxxz : System: Host:XEON ... Distro: MX-18_x64 Continuum

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19519
Joined: Fri Dec 15, 2006 8:07 pm

Re: Request for SuperTux 0.6.0

#9

Post by Stevo » Fri Jan 11, 2019 10:39 pm

A mod will have to do that, and we'll have to wait for packagers to catch up with the new Tuxkart. Even the developers don't package betas for their PPA.

User avatar
radissthor
Forum Regular
Forum Regular
Posts: 347
Joined: Mon Sep 13, 2010 11:18 am

Re: Request for SuperTux 0.6.0

#10

Post by radissthor » Mon Jan 14, 2019 9:21 am

Stevo wrote:
Sun Dec 30, 2018 9:55 pm
radissthor wrote:
Sun Dec 30, 2018 9:29 pm
Thanks Stevo! I am using MX17, but I guess if it works on 15 it works on 17 right?
I do MX 17 packages first, since they're more likely to succeed, having newer package versions. It's frosting on the cake if I can get MX 15 packages to build.

The MX 15 packages fail to build with some OpenGL-related compiler error, even using newer packages from the MX 15 test repo, so I'm giving up on those. The AppImage is supposed to run on MX 15-64-bit anyway...it does run fine on MX 17.

I'm uploading the packages right now. (224 MB) If you want to do a manual install with gdebi, one deb at a time, you need to install the included libraqm0 deb for your platform (not the dbgsym version), then the supertux-data deb, then the supertux deb for your architecture.

https://drive.google.com/open?id=19zmFm ... hjEtt8qL_z
Thanks! It works great in MX17
Image

Post Reply

Return to “Package Requests/Status - MX 17/18”